Loading...
Searching...
No Matches
casacore::python::numpy::ArrayCopy< T > Struct Template Reference

Copy/convert the array data as needed. More...

`#include <PycArrayNP.h>`

## Static Public Member Functions

static void | toPy (void *to, const T *from, size_t nr)
static void | fromPy (T *to, const void *from, size_t nr)
static Array< T > | toArray (const IPosition &shape, void *data, bool copy)

## Detailed Description

template<typename T>
struct casacore::python::numpy::ArrayCopy< T >

Copy/convert the array data as needed.

Specializations are defined for complex and string.

Definition at line 47 of file PycArrayNP.h.

## Member Function Documentation

## fromPy()

template<typename T>

void casacore::python::numpy::ArrayCopy< T >::fromPy | ( | T * | to,
|  | const void * | from,
|  | size_t | nr )

static

## toArray()

template<typename T>

Array< T > casacore::python::numpy::ArrayCopy< T >::toArray | ( | const IPosition & | shape,
|  | void * | data,
|  | bool | copy )

static

## toPy()

template<typename T>

void casacore::python::numpy::ArrayCopy< T >::toPy | ( | void * | to,
|  | const T * | from,
|  | size_t | nr )

static

The documentation for this struct was generated from the following file:

- python/Converters/PycArrayNP.h